Bug 219608 - systemtap breaks with the 2.6.20-rc1 kernel
systemtap breaks with the 2.6.20-rc1 kernel
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Radek Bíba
Depends On:
Blocks: 221736
  Show dependency treegraph
Reported: 2006-12-14 08:16 EST by Arjan van de Ven
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-15 13:34:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2006-12-14 08:16:29 EST
Description of problem:
the kernel side of systemtap has not been merged in the kernel.org kernel, and
as a result doesn't get adjusted for API changes automatically. 

For the 2.6.20-rc1 kernel this is a specific issue since the systemtap kernel
side just doesn't compile anymore.
Comment 1 Frank Ch. Eigler 2006-12-14 08:23:25 EST
Could you transcribe the build error (stap -vv)?

Merging parts of src/runtime into the kernel proper is a frequently mentioned
item, but we lack actual technical suggestions as to how to do it.  The
runtime's API is rather large and of course highly tuned to the needs of the
translator.  If you have any detailed ideas about this, please pass them on.
Comment 2 Arjan van de Ven 2006-12-14 09:28:07 EST
how about.. making a diff and submitting it together with one or two neat
example .stp scripts and a bit of docs on how to use these stp scripts.

Unless there's some really serious braindamage in the runtime, it's very likely
to get accepted; especially if the .stp scripts are clearly useful. 

then the stap program needs a way to say "my full source tree is THERE" so that
it uses the in-kernel runtime over it's own, and you're all set.

Comment 3 Frank Ch. Eigler 2006-12-14 14:09:30 EST
Could you elaborate?  Do you imagine adding twenty-odd header files to
the kernel tree, even though they wouldn't even be compiled during a
kernel build?
Comment 4 Arjan van de Ven 2006-12-15 06:52:51 EST
I would expect so, especially if you put a few .stp files there.
Bonus points for allowint the .stp's to be compiled if systemtap is installed on
the system of course....

Comment 5 Frank Ch. Eigler 2007-02-15 13:34:29 EST
Systemtap 0.5.12 for fc6 should resolve the immediate problem.
The secondary one of possibly plopping runtime or tapset pieces into
the upstream kernel tree is being discussed on the public mailing list.

Note You need to log in before you can comment on or make changes to this bug.